﻿import {useBaseApi} from '/@/api/base';

// 行政处罚接口服务
export const useADPenaltyApi = () => {
	const baseApi = useBaseApi("aDPenalty");
	return {
		// 分页查询行政处罚
		page: baseApi.page,
		// 查看行政处罚详细
		detail: baseApi.detail,
		// 新增行政处罚
		add: baseApi.add,
		// 更新行政处罚
		update: baseApi.update,
		// 删除行政处罚
		delete: baseApi.delete,
		// 批量删除行政处罚
		batchDelete: baseApi.batchDelete,
	}
}

// 行政处罚实体
export interface ADPenalty {
	// id
	id: string;
	// 决定日期
	decisionDate?: string;
	// 当事人信息
	parties: string;
	// 案由描述
	caseReason: string;
	// 处理决定内容
	disposalDecision: string;
	// 采购监督部门名称
	supervisionDepartment: string;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
	// 线上地址
	url: string;
}